SDL_GetClosestFullscreenDisplayMode(3)

NAME
SDL_GetClosestFullscreenDisplayMode - Get the closest match to the requested display mode.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_GetClosestFullscreenDisplayMode(SDL_DisplayID displayID, int w, int h, float refresh_rate, bool include_high_density_modes, SDL_DisplayMode *closest);

DESCRIPTION
The available display modes are scanned and closest is filled in with the closest mode matching the requested mode and returned. The mode format and refresh rate default to the desktop mode if they are set to 0. The modes are scanned with size being first priority, format being second priority, and finally checking the refresh rate. If all the available modes are too small, then false is returned.

FUNCTION PARAMETERS

displayID
    the instance ID of the display to query.

w   the width in pixels of the desired display mode.

h   the height in pixels of the desired display mode.

refresh_rate
    the refresh rate of the desired display mode, or 0.0f for the desktop refresh rate.

include_high_density_modes
    boolean to include high density modes in the search.

closest
    a pointer filled in with the closest display mode equal to or larger than the desired mode.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetDisplays(3), SDL_GetFullscreenDisplayModes(3)